> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get the result of an asynchronous list assigned tokens operation

`GET /api/web/v1/async/tokenspaged/{id}/assigned/result`

Get the result of an asynchronous list assigned grids operation. Caller requires the TOKENS:VIEW permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| id | path | Yes | string | The UUID of the operation whose results are to be fetched. |

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "required": [
    "results"
  ],
  "type": "object",
  "properties": {
    "paging": {
      "required": [
        "limit"
      ],
      "type": "object",
      "properties": {
        "limit": {
          "maximum": 100,
          "minimum": 1,
          "type": "integer",
          "description": "The page limit used (1-100)",
          "format": "int32"
        },
        "nextCursor": {
          "type": "string",
          "description": "The cursor pointing to the next page."
        },
        "prevCursor": {
          "type": "string",
          "description": "The cursor pointing to the previous page."
        }
      },
      "description": "Contains navigation information.",
      "title": "Paging"
    },
    "results": {
      "type": "array",
      "description": "A single page with the list of assigned tokens found.",
      "items": {
        "required": [
          "appVerified",
          "deviceVerified",
          "pushDeliveryEnabled"
        ],
        "type": "object",
        "properties": {
          "algorithmType": {
            "type": "string",
            "description": "The algorithm type used by the token that was created or loaded into the system to generate OTP values.",
            "enum": [
              "AT",
              "OATH_HOTP",
              "OATH_OCRA",
              "OATH_TOTP",
              "VENDOR"
            ]
          },
          "allowedActions": {
            "type": "array",
            "description": "Actions that can be performed on this token.",
            "items": {
              "type": "string",
              "description": "Actions that can be performed on this token.",
              "enum": [
                "ACTIVATE",
                "REACTIVATE",
                "ACTIVATE_COMPLETE",
                "DELETE",
                "UNLOCK",
                "ENABLE",
                "DISABLE",
                "RESET",
                "ASSIGN",
                "UNASSIGN"
              ]
            }
          },
          "appVerified": {
            "type": "boolean",
            "description": "A flag indicating if the token was activated on a verified app."
          },
          "description": {
            "type": "string",
            "description": "Optional text describing this token."
          },
          "deviceVerified": {
            "type": "boolean",
            "description": "A flag indicating if the token is activated on a verified device."
          },
          "groups": {
            "type": "array",
            "description": "The UUIDs of groups to which this token belongs.  This value is only used for unassigned tokens. Only groups to which the current administrator has access will be returned.",
            "items": {
              "type": "string",
              "description": "The UUIDs of groups to which this token belongs.  This value is only used for unassigned tokens. Only groups to which the current administrator has access will be returned."
            }
          },
          "id": {
            "type": "string",
            "description": "The unique UUID assigned to the token when it is created."
          },
          "identityVerificationStatus": {
            "type": "string",
            "description": "The identity verification status of the token.",
            "enum": [
              "NOT_REQUIRED",
              "REQUIRED",
              "PENDING",
              "VERIFIED",
              "FAILED"
            ]
          },
          "label": {
            "type": "string",
            "description": "Optional label to identify an assigned token: a String up to 100 characters.",
            "example": "PENDING"
          },
          "lastUsedDate": {
            "type": "string",
            "description": "The date on which the token was last used for authentication.  This value will be null if the token has never been used.",
            "format": "date-time",
            "example": "2019-02-20T10:05:27Z"
          },
          "loadDate": {
            "type": "string",
            "description": "The date on which the token was created or loaded into the system.",
            "format": "date-time",
            "example": "2019-02-19T13:15:27Z"
          },
          "logo": {
            "type": "string",
            "description": "Base-64 encoded logo. If a custom logo is provided by the customer it is returned. Otherwise a system default logo is returned."
          },
          "name": {
            "type": "string",
            "description": "An optional name for the token."
          },
          "platform": {
            "type": "string",
            "description": "The mobile device platform on which an Entrust Soft Token was activated."
          },
          "pushDeliveryEnabled": {
            "type": "boolean",
            "description": "A flag indicating if push delivery is enabled for this token.",
            "example": true
          },
          "registeredForTransactions": {
            "type": "boolean",
            "description": "A flag indicating if the Entrust Soft Token has registered for transactions. Only tokens that are registered can perform token push authentication."
          },
          "serialNumber": {
            "type": "string",
            "description": "The serial number of the token either generated when the token was created or loaded into the system."
          },
          "state": {
            "type": "string",
            "description": "The state of the token.  For most tokens, only tokens in the ACTIVE state can be used for authentication. Google Authenticator tokens in the ACTIVATING state can also be used for authentication.",
            "enum": [
              "NEW",
              "ACTIVATING",
              "ACTIVE",
              "INACTIVE",
              "UNASSIGNED"
            ]
          },
          "supportsChallengeResponse": {
            "type": "boolean",
            "description": "A flag indicating if the Token supports challenge response processing.",
            "example": false
          },
          "supportsResponse": {
            "type": "boolean",
            "description": "A flag indicating if the Token supports response processing.",
            "example": true
          },
          "supportsSignature": {
            "type": "boolean",
            "description": "A flag indicating if the Token supports signature processing.",
            "example": false
          },
          "supportsUnlock": {
            "type": "boolean",
            "description": "A flag indicating if the Token supports unlock processing.",
            "example": true
          },
          "supportsUnlockTOTP": {
            "type": "boolean",
            "description": "A flag indicating if the Token supports unlock using TOTP processing.",
            "example": false
          },
          "type": {
            "type": "string",
            "description": "The type of token specified when the token was created or loaded into the system.",
            "enum": [
              "ENTRUST_PHYSICAL_TOKEN",
              "ENTRUST_SOFT_TOKEN",
              "GOOGLE_AUTHENTICATOR",
              "OATH_PHYSICAL_TOKEN",
              "ENTRUST_LEGACY_TOKEN"
            ]
          },
          "userId": {
            "type": "string",
            "description": "If the token is assigned to a user, this value specifies that user's user id."
          }
        },
        "description": "Information returned from the service about a token.",
        "title": "Token"
      }
    }
  },
  "description": "Contains paging information and the results from an assigned tokens search.",
  "title": "TokensPage"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "TOKENS:VIEW"
    ]
  }
]
```
